<?php

namespace MJ\LoginAsUser\Repository;

use XF\Mvc\Entity\Finder;
use XF\Mvc\Entity\Repository;

class LoginLog extends Repository
{
	public function findLoginLogsForList()
	{
		return $this->finder('MJ\LoginAsUser:LoginLog')
			->with('User')
			->setDefaultOrder('login_date', 'DESC');
	}

	public function clearLoginLogs()
	{
		$this->db()->query('TRUNCATE `xf_mjlau_login_log`');
	}
}
